## This file is a general .xdc for the Nexys4 rev B board
## To use it in a project:
## - uncomment the lines corresponding to used pins
## - rename the used ports (in each line, after get_ports) according to the top level signal names in the project


set_property PACKAGE_PIN E3 [get_ports clk_in1]							
set_property IOSTANDARD LVCMOS33 [get_ports clk_in1]
create_clock -add -name clk_in1 -period 10.00 -waveform {0 5} [get_ports clk_in1]

set_property PACKAGE_PIN U9 [get_ports {rst}]
set_property IOSTANDARD LVCMOS33 [get_ports {rst}]
# LED 0
set_property PACKAGE_PIN T8 [get_ports {read_port_val[0]}]    
set_property IOSTANDARD LVCMOS33 [get_ports {read_port_val[0]}]
# LED 1	
set_property PACKAGE_PIN V9 [get_ports {read_port_val[1]}]     
set_property IOSTANDARD LVCMOS33 [get_ports {read_port_val[1]}]
# LED 2
set_property PACKAGE_PIN R8 [get_ports {read_port_val[2]}]     
set_property IOSTANDARD LVCMOS33 [get_ports {read_port_val[2]}]

#Bank = 34, Pin name = IO_L12P_T1_MRCC_34,					Sch name = LED3
set_property PACKAGE_PIN T6 [get_ports {read_port_val[3]}]					
set_property IOSTANDARD LVCMOS33 [get_ports {read_port_val[3]}]

#Bank = 34, Pin name = IO_L12P_T1_MRCC_34,					Sch name = LED4
set_property PACKAGE_PIN T5 [get_ports {read_port_val[4]}]					
set_property IOSTANDARD LVCMOS33 [get_ports {read_port_val[4]}]
##Bank = 34, Pin name = IO_L12N_T1_MRCC_34,					Sch	name = LED5
set_property PACKAGE_PIN T4 [get_ports {read_port_val[5]}]					
set_property IOSTANDARD LVCMOS33 [get_ports {read_port_val[5]}]
#Bank = 34, Pin name = IO_L22P_T3_34,						Sch name = LED6
set_property PACKAGE_PIN U7 [get_ports {read_port_val[6]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {read_port_val[6]}]
#Bank = 34, Pin name = IO_L22N_T3_34,						Sch name = LED7
set_property PACKAGE_PIN U6 [get_ports {read_port_val[7]}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {read_port_val[7]}]

                                                   

#Bank = 34, Pin name = IO_L14P_T2_SRCC_34,					Sch name = SW15
set_property PACKAGE_PIN U9 [get_ports {rst}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {rst}]	
#Bank = 34, Pin name = IO_L14N_T2_SRCC_34,					Sch name = SW14
    set_property PACKAGE_PIN U8 [get_ports {start_writes}]                    
        set_property IOSTANDARD LVCMOS33 [get_ports {start_writes}]
set_property PACKAGE_PIN R7 [get_ports {start_reads}]					
	set_property IOSTANDARD LVCMOS33 [get_ports {start_reads}]

	